View Issue Details

IDProjectCategoryView StatusLast Update
0003153FreeCADFeaturepublic2018-08-26 18:38
ReporterSamAssigned To 
PrioritylowSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003153: Preselect: Show object label in status bar.
DescriptionIt would be courteous for FreeCAD to show the object label of things that get pointed to, as well as their internal name, in the status bar:

Preselected: (Label) - pDocName.pObjectName.pSubName (x,y,z)


I am in the habit of naming (labelling?) my objects; It makes it easier for me to find my way around in my drawings. But occasionally FreeCAD declines to refer to my objects by my name.
 
I brought this up on the forum the other day over here. I was ignorant at first, but after a couple of posts my issue was largely resolved. This request is just a bit of icing on the cake as it were.

The code you're looking for is in SelectionSingleton::setPreselectCoord, which you can find over here on Github

I didn't specifically check if the label is part of CurrentPreselection, but surely it would be.
TagsNo tags attached.

Issue History

Date Modified Username Field Change
2017-08-09 03:40 Sam New Issue
2017-08-09 03:40 Sam Tag Attached: #lowhangingfruit
2017-09-20 20:53 wmayer Status new => closed
2017-09-20 20:53 wmayer Resolution open => fixed
2017-09-20 20:53 wmayer Fixed in Version => 0.17
2017-09-20 20:53 wmayer Note Added: 0010139
2018-08-26 18:38 Kunda1 Tag Detached: #lowhangingfruit